Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class ContainerConfig

    java.lang.Object
      com.bea.dsp.management.beans.ContainerConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class ContainerConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ContainerConfig.ContainerType`

Method Summary
`ContainerConfig` | `getContainer(ContainerName containerName)`
`java.util.List<ContainerConfig>` | `getContainers()`
`EndPointConfig` | `getEndPointConfig(EndPointName endPointName)`
`java.util.List<EndPointConfig>` | `getEndPoints()`
`ContainerName` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNewName()`
`ContainerConfig.ContainerType` | `getType()`
`void` | `setNewName(java.lang.String newName)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getId

    public ContainerName getId()

### getName

    public java.lang.String getName()

### getType

    public ContainerConfig.ContainerType getType()

### getNewName

    public java.lang.String getNewName()

### setNewName

    public void setNewName(java.lang.String newName)

### getContainers

    public java.util.List<ContainerConfig> getContainers()

### getContainer

    public ContainerConfig getContainer(ContainerName containerName)

### getEndPoints

    public java.util.List<EndPointConfig> getEndPoints()

### getEndPointConfig

    public EndPointConfig getEndPointConfig(EndPointName endPointName)

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.